<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Grid System</title>

		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
		<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
	</head>

	<body class="text-center">
		<h1>Bootstrap Grid System</h1>

		<!--  Two columns -->
		<h2>Two columns</h2>
		<div class="container-fluid">
			<h3>1:1</h3>
			<div class="row">
				<div class="bg-primary col-6 py-3 border border-dark">6col</div>
				<div class="bg-secondary col-6 py-3 border border-dark">6col</div>
			</div>

			<h3>1:3</h3>
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-3">3col</div>
				<div class="bg-secondary py-3 border border-dark col-9">9col</div>
			</div>

			<h3>1:2</h3>
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-4">4col</div>
				<div class="bg-secondary py-3 border border-dark col-8">8col</div>
			</div>
		</div>

		<!-- Three colums -->
		<div class="container-fluid">
			<h3>1:1:1</h3>
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-4">4col</div>
				<div class="bg-secondary py-3 border border-dark col-4">4col</div>
				<div class="bg-primary py-3 border border-dark col-4">4col</div>
			</div>

			<h3>1:2:1</h3>
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-3">3col</div>
				<div class="bg-secondary py-3 border border-dark col-6">6col</div>
				<div class="bg-primary py-3 border border-dark col-3">3col</div>
			</div>

			<h3>3:7:2</h3>
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-3">3cols</div>
				<div class="bg-secondary py-3 border border-dark col-7">7col</div>
				<div class="bg-primary py-3 border border-dark col-2">2col</div>
			</div>	
		</div>

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-6">Automatic</div>
				<div class="bg-secondary py-3 border border-dark col">Automatic</div>
				<div class="bg-primary py-3 border border-dark col">Automatic</div>
			</div>
		</div>
		
		<h2>Multi-row layouts</h2>
		<div class="container-fluid">
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary py-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary py-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-secondary py-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-primary py-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-secondary py-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div>

		<h2>Offsettin Columns</h2>
		<div class="container-fluid">
			<div class="row">
				<div class="bg-primary py-3 border border-dark col-7 mx-auto">Offset Column</div>
				<div class="bg-secondary py-3 border border-dark col-6 offset-md-3">Offset Column</div>
				<div class="bg-primary py-3 border border-dark col-7 offset-md-5">Offset Column</div>
			</div>
		</div>

		<h2>Column orders</h2>
		<div class="container-fluid">
			<div class="row">
				<div class="bg-primary py-3 border border-dark col order-md-2 order-1">Left</div>
				<div class="bg-secondary py-3 border border-dark col order-md-1 order-2">Right</div>
			</div>
		</div>
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	</body>
</html>